On Jun 25, 2009, at 09:56 , Lee Hinman wrote:

> I was wondering, is there a way I can access older versions of the
> Ruby core documentation? I'm trying to debug an issue with
> Kernel.select on Ruby 1.8.1 (that works fine with 1.8.6 and 1.9.1),
> and I want to see if the behavior was documented to be the same as the
> 1.8.6 and 1.9.1 version of it.

multiruby is probably the easiest way to get the sources to all the  
versions you're interested in, unpack them, build them, etc.... it  
doesn't do ri by default, but you can go into the ~/.multiruby/build/*  
dirs and grep around or build and install all the ri info (into  
~/.multiruby/install/*).